# アイテム説明文に、アイテムidと個数を表示
data remove storage crp_mass_storage:temp Temp
data modify storage crp_mass_storage:temp Temp.Lore set value []

# 格納アイテムを一時storageに取得
data modify storage crp_mass_storage:temp Temp.Item set from entity @s Item.tag.StorageItem

# Loreの1つ目(アイテムid or カスタムネーム)をセット
data modify storage crp_util:param +.get_json_text.Text set value '{"nbt":"Temp.Item.id","storage":"crp_mass_storage:temp"}'
execute if data storage crp_mass_storage:temp Temp.Item.tag.display.Name run data modify storage crp_util:param +.get_json_text.Text set value '{"nbt":"Temp.Item.tag.display.Name","storage":"crp_mass_storage:temp","interpret":true}'
function crp_util:get_json_text
data modify storage crp_mass_storage:temp Temp.Lore append from storage crp_util:param +.get_json_text.Text
data modify storage crp_mass_storage:temp Temp.Lore[0] append value '{"italic":true}'

# Loreの2つ目(アイテム個数)をセット
scoreboard players operation $crp.ms crp.ms.strg.cnt = @s crp.ms.strg.cnt
data modify storage crp_util:param +.get_json_text.Text set value '{"score":{"name":"$crp.ms","objective": "crp.ms.strg.cnt"}}'
function crp_util:get_json_text
data modify storage crp_mass_storage:temp Temp.Lore append from storage crp_util:param +.get_json_text.Text

# 一時storageのLoreを設定
data modify storage crp_mass_storage:temp Temp.Entity.Item.tag.display.Lore set from storage crp_mass_storage:temp Temp.Lore

# 収納アイテムデータを保管
data modify storage crp_mass_storage:temp Temp.Inventory.Item merge from storage crp_mass_storage:temp Temp.Item
data modify storage crp_mass_storage:temp Temp.Inventory.Item merge value {Slot:0b,Count:1b}
execute store result storage crp_mass_storage:temp Temp.Inventory.Item.tag.ItemCount long 1 run scoreboard players get @s crp.ms.strg.cnt

# スロット0にアイテムが格納されている状態にする
data modify storage crp_mass_storage:temp Temp.Entity.Item.tag.BlockEntityTag.Items set value []
data modify storage crp_mass_storage:temp Temp.Entity.Item.tag.BlockEntityTag.Items append from storage crp_mass_storage:temp Temp.Inventory.Item

# ドロップしたアイテムのデータ書き換え
data modify entity @e[tag=crp.ms.item.temp,distance=..0.3,limit=1] Item merge from storage crp_mass_storage:temp Temp.Entity.Item

# 後片付け
data remove storage crp_mass_storage:temp Temp
